Search documentation of bb

# BB.Error.Invalid.Command exception (bb v0.17.0)

Copy Markdown View Source

Invalid command or command arguments.

Raised when a command is unknown or its arguments are invalid.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Invalid.Command` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.Command{
      __exception__: true,
      argument: term(),
      bread_crumbs: term(),
      class: term(),
      command: term(),
      path: term(),
      reason: term(),
      splode: term(),
      stacktrace: term(),
      value: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Invalid.Command` without raising it.

## Keys

- :command
- :argument
- :value
- :reason